pcl::visualization::FEllipticArc2D Struct Reference

Class for storing EllipticArc; every ellipse , circle are covered by this. More...

`#include <pcl/visualization/pcl_painter2D.h>`

Inheritance diagram for pcl::visualization::FEllipticArc2D:

## Public Member Functions

| FEllipticArc2D (std::vector< float > info, vtkPen *p, vtkBrush *b, vtkTransform2D *t)
| FEllipticArc2D (float x, float y, float rx, float ry, float sa, float ea, vtkPen *p, vtkBrush *b, vtkTransform2D *t)
void | draw (vtkContext2D *painter) override
Public Member Functions inherited from pcl::visualization::Figure2D
| Figure2D (std::vector< float > info, vtkPen *p, vtkBrush *b, vtkTransform2D *t)
| Figure2D (vtkPen *p, vtkBrush *b, vtkTransform2D *t)
void | applyInternals (vtkContext2D *painter)

## Additional Inherited Members

Public Attributes inherited from pcl::visualization::Figure2D
std::vector< float > | info_
vtkPen * | pen_
vtkBrush * | brush_
vtkTransform2D * | transform_

## Detailed Description

Class for storing EllipticArc; every ellipse , circle are covered by this.

Definition at line 169 of file pcl_painter2D.h.

## Constructor & Destructor Documentation

## FEllipticArc2D() [1/2]

pcl::visualization::FEllipticArc2D::FEllipticArc2D | ( | std::vector< float > | info,
|  | vtkPen * | p,
|  | vtkBrush * | b,
|  | vtkTransform2D * | t
| ) |  |

inline

Definition at line 172 of file pcl_painter2D.h.

## FEllipticArc2D() [2/2]

pcl::visualization::FEllipticArc2D::FEllipticArc2D | ( | float | x,
|  | float | y,
|  | float | rx,
|  | float | ry,
|  | float | sa,
|  | float | ea,
|  | vtkPen * | p,
|  | vtkBrush * | b,
|  | vtkTransform2D * | t
| ) |  |

inline

Definition at line 174 of file pcl_painter2D.h.

References pcl::visualization::Figure2D::info_.

## Member Function Documentation

## draw()

void pcl::visualization::FEllipticArc2D::draw | ( | vtkContext2D * | painter | ) |

inline override virtual

Reimplemented from pcl::visualization::Figure2D.

Definition at line 185 of file pcl_painter2D.h.

References pcl::visualization::Figure2D::applyInternals(), and pcl::visualization::Figure2D::info_.

The documentation for this struct was generated from the following file:

- pcl/visualization/pcl_painter2D.h